Appearance
Update organization details
PATCH
/api/v1/organization
Update the organization's name, settings, address, phone number, tax ID, billing email, or 2FA enforcement. Requires admin privileges.
Authorizations
HTTPBearer
Type
HTTP (bearer)
Request Body
application/json
JSON "name": "string", "settings": { "additionalProperties": "string" }, "address": "string", "phone_number": "string", "tax_id": "string", "billing_email": "string", "enforce_2fa": true
{
}
Responses
Successful Response
application/json
JSON "id": "string", "name": "string", "slug": "string", "settings": { "additionalProperties": "string" }, "address": "string", "phone_number": "string", "tax_id": "string", "billing_email": "string", "byok_enabled": false, "has_anthropic_key": false, "has_deepseek_key": false, "has_google_key": false, "enforce_2fa": false, "created_at": "string"
{
}